# Uses of Class
javax.swing.event.ListSelectionEvent

Packages that use ListSelectionEvent
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.event
Provides for events fired by Swing components.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.
javax.swing.table
Provides classes and interfaces for dealing with `javax.swing.JTable`.

## Uses of ListSelectionEvent in javax.swing

Methods in javax.swing with parameters of type ListSelectionEvent
Modifier and Type
Method
Description
`void`
JTable.AccessibleJTable.`columnSelectionChanged​(ListSelectionEvent e)`
Track that the selection model of the TableColumnModel changed.
`void`
JTable.`columnSelectionChanged​(ListSelectionEvent e)`
Invoked when the selection model of the `TableColumnModel` is changed.
`void`
JList.AccessibleJList.`valueChanged​(ListSelectionEvent e)`
List Selection Listener value change method.
`void`
JTable.AccessibleJTable.`valueChanged​(ListSelectionEvent e)`
Track changes to table cell selections
`void`
JTable.`valueChanged​(ListSelectionEvent e)`
Invoked when the row selection changes -- repaints to show the new selection.

## Uses of ListSelectionEvent in javax.swing.event

Methods in javax.swing.event with parameters of type ListSelectionEvent
Modifier and Type
Method
Description
`void`
TableColumnModelListener.`columnSelectionChanged​(ListSelectionEvent e)`
Tells listeners that the selection model of the TableColumnModel changed.
`void`
ListSelectionListener.`valueChanged​(ListSelectionEvent e)`
Called whenever the value of the selection changes.

## Uses of ListSelectionEvent in javax.swing.plaf.basic

Methods in javax.swing.plaf.basic with parameters of type ListSelectionEvent
Modifier and Type
Method
Description
`void`
BasicComboPopup.ListSelectionHandler.`valueChanged​(ListSelectionEvent e)`
`void`
BasicFileChooserUI.SelectionListener.`valueChanged​(ListSelectionEvent e)`
Called whenever the value of the selection changes.
`void`
BasicListUI.ListSelectionHandler.`valueChanged​(ListSelectionEvent e)`

## Uses of ListSelectionEvent in javax.swing.plaf.metal

Methods in javax.swing.plaf.metal with parameters of type ListSelectionEvent
Modifier and Type
Method
Description
`void`
MetalFileChooserUI.`valueChanged​(ListSelectionEvent e)`
Invokes when `ListSelectionEvent` occurs.

## Uses of ListSelectionEvent in javax.swing.table

Methods in javax.swing.table with parameters of type ListSelectionEvent
Modifier and Type
Method
Description
`void`
JTableHeader.`columnSelectionChanged​(ListSelectionEvent e)`
Invoked when the selection model of the `TableColumnModel` is changed.
`protected void`
DefaultTableColumnModel.`fireColumnSelectionChanged​(ListSelectionEvent e)`
Notifies all listeners that have registered interest for notification on this event type.
`void`
DefaultTableColumnModel.`valueChanged​(ListSelectionEvent e)`
A `ListSelectionListener` that forwards `ListSelectionEvents` when there is a column selection change.